using System.Collections;

namespace Decal.Adapter.Wrappers;

public interface IIndexedProvider<IndexType>
{
	object GetIndexedObject(IndexType index, int item);

	IEnumerator GetEnumerator(IndexType index);

	int Count(IndexType index);
}
